
Name:		xbmc-systemd
Version:	1.0
Release:	4%{?dist}
License:	GPLv2
Summary:	Systemd files to start XBMC during system bootup.
Group:		Applications/Multimedia
Url:		http://tuju.fi/
Source0:	htpc.target
Source1:	xbmc.service
Source2:	xbmc.sh

BuildArch:	noarch

Requires:	shadow-utils
Requires:	xorg-x11-xinit xorg-x11-xinit-session xorg-x11-server-Xorg xorg-x11-drivers dbus-x11 mesa-dri-drivers
Requires:   alsa-lib alsa-utils lirc
Requires:	xbmc


%description
XMBC is a Home Theathre built on personal computer and 
provided files make it start right after system startup 
without any additional configuration. This allows easy
deployment of systems whose sole purpose is to run XBMC,
which is common case with HTPC systems.


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_unitdir}
mkdir -p %{buildroot}/%{_sysconfdir}/X11/xinit/xinitrc.d
cp %{SOURCE0} %{buildroot}/%{_unitdir}
cp %{SOURCE1} %{buildroot}/%{_unitdir}
cp %{SOURCE2} %{buildroot}/%{_sysconfdir}/X11/xinit/xinitrc.d



%clean
rm -rf %{buildroot}


%post
GROUPNAME=xbmc
USERNAME=xbmc
if [ $1 -qt 0 ]; then
	cd /etc/systemd/system/
	ln -sf /lib/systemd/system/htpc.target default.target >/dev/null
	getent group $GROUPNAME >/dev/null || groupadd --system -r $GROUPNAME > /dev/null
	getent passwd $USERNAME >/dev/null || useradd --system --home /home/$USERNAME --create-home -g $GROUPNAME -c "XBMC role account" $USERNAME >/dev/null
	gpasswd -a $USERNAME audio >/dev/null
	gpasswd -a $USERNAME video >/dev/null
	/usr/bin/systemctl enable lircd
	/usr/bin/systemctl start lircd
fi
exit 0


%postun
if [ $1 -eq 0 ]; then
	cd /etc/systemd/system/
	ln -sf /lib/systemd/system/multi-user.target default.target >/dev/null
	groupdel xbmc >/dev/null
	userdel xbmc >/dev/null
fi
exit 0



%files
%defattr(-,root,root)
%{_unitdir}/htpc.target
%{_unitdir}/xbmc.service
%{_sysconfdir}/X11/xinit/xinitrc.d/xbmc.sh


%changelog
* Sun Dec 7 2014 Juha Tuomala <tuju@iki.fi> 1.0-2
- dropped Pulseaudio for Alsa as recommneded by upstream.
- added xbmc role user into video group for DRI.

* Sat Oct 18 2014 Juha Tuomala <tuju@iki.fi> 1.0-1
- Initial RPM creation.
